From bf0df67ca6778856b024e03c6c1169ddb5186652 Mon Sep 17 00:00:00 2001
From: Mohan Boddu <mboddu@bhujji.com>
Date: Apr 08 2020 19:32:47 +0000
Subject: Adding pungi configuration for minimal compose


Signed-off-by: Mohan Boddu <mboddu@bhujji.com>

---

diff --git a/fedora-minimal-compose.conf b/fedora-minimal-compose.conf
new file mode 100644
index 0000000..a5a7739
--- /dev/null
+++ b/fedora-minimal-compose.conf
@@ -0,0 +1,273 @@
+# PRODUCT INFO
+release_name = 'Fedora-Minimal-Compose'
+release_short = 'Fedora-Minimal-Compose'
+release_version = 'Rawhide'
+release_is_layered = False
+
+# GENERAL SETTINGS
+comps_file = {
+    'scm': 'git',
+    'repo': 'https://pagure.io/fedora-comps.git',
+    'branch': 'master', 
+    'file': 'comps-rawhide.xml',
+    'command': 'make comps-rawhide.xml'
+}
+
+variants_file='variants-fedora.xml'
+sigkeys = ['9570FF31']
+
+# limit tree architectures
+# if undefined, all architectures from variants.xml will be included
+tree_arches = ['x86_64',]
+
+# limit tree variants
+# if undefined, all variants from variants.xml will be included
+tree_variants = ['Server']
+
+hashed_directories = True
+
+# RUNROOT settings
+runroot_method = 'koji'
+runroot_channel = 'compose'
+runroot_tag = 'f33-build'
+
+# PKGSET
+pkgset_source = 'koji' # koji, repos
+
+# PKGSET - REPOS
+# pkgset_repos format: {arch: [repo1_url, repo2_url, ...]}
+# pkgset_repos = {}
+
+# PKGSET - KOJI
+pkgset_koji_tag = 'f33-minimal-compose'
+pkgset_koji_inherit = True
+
+filter_system_release_packages = False
+
+# GATHER
+gather_method = {
+    '^.*': {                # For all variants
+        'comps': 'deps',    # resolve dependencies for packages from comps file
+        'module': 'nodeps', # but not for packages from modules
+    }
+}
+gather_backend = 'dnf'
+gather_profiler = True
+check_deps = False
+greedy_method = 'build'
+
+repoclosure_backend = 'dnf'
+
+# fomat: [(variant_uid_regex, {arch|*: [repos]})]
+# gather_lookaside_repos = []
+
+# GATHER - JSON
+# format: {variant_uid: {arch: package: [arch1, arch2, None (for any arch)]}}
+#gather_source_mapping = '/path/to/mapping.json'
+
+
+# CREATEREPO
+createrepo_deltas = False
+createrepo_database = True
+createrepo_use_xz = True
+createrepo_extra_args = ['--zck', '--zck-dict-dir=/usr/share/fedora-repo-zdicts/rawhide']
+createrepo_num_workers = 10
+
+# CHECKSUMS
+media_checksums = ['sha256']
+media_checksum_one_file = True
+media_checksum_base_filename = '%(release_short)s-%(variant)s-%(version)s-%(arch)s-%(date)s%(type_suffix)s.%(respin)s'
+#jigdo
+create_jigdo = False
+
+# CREATEISO
+iso_hfs_ppc64le_compatible = False
+
+# BUILDINSTALL
+buildinstall_method = 'lorax'
+buildinstall_skip = [
+    ('^Modular$', {
+        '*': True
+    }),
+    ('^Everything$', {
+        'i386': True
+    }),
+]
+
+# Enables macboot on x86_64 for all variants and disables upgrade image building
+# # everywhere.
+lorax_options = [
+  ('^.*$', {
+     'x86_64': {
+         'nomacboot': False
+     },
+     '*': {
+         'noupgrade': True,
+         'rootfs_size': 3
+     }
+  })
+]
+
+#extra_packages = [
+#    '/mnt/packages/foo*',
+#]
+
+
+# fomat: [(variant_uid_regex, {arch|*: [packages]})]
+additional_packages = [
+    ('^(Server|Everything)$', {
+        '*': [
+            'kernel*',
+            'dracut.*',
+            'autocorr-*',
+            'eclipse-nls',
+            'eclipse-nls-*',
+            'hunspell-*',
+            'hyphen-*',
+            'kde-l10n-*',
+            'libreoffice-langpack-*',
+            'man-pages-*',
+            'mythes-*',
+        ],
+    }),
+
+    ('^Everything$', {
+        '*': [
+            '*',
+        ],
+    }),
+
+    ('^Server$', {
+        '*': [
+
+        ],
+    }),
+
+]
+
+multilib = [
+    ('^Everything$', {
+        'x86_64': ['devel', 'runtime'],
+    })
+]
+
+filter_packages = [
+    ("^.*$", {"*": ["glibc32", "libgcc32"]}),
+    ('(Server)$', {
+        '*': [
+        'kernel*debug*',
+        'kernel-kdump*',
+        'kernel-tools*',
+        'syslog-ng*',
+        'astronomy-bookmarks',
+        'generic*',
+        'GConf2-dbus*',
+        'bluez-gnome',
+        'java-11-openjdk',
+        'community-mysql*',
+        'jruby*',
+        'gimp-help-*',
+        ]
+    }),
+]
+
+
+# format: {arch|*: [packages]}
+multilib_blacklist = {
+    '*': ['kernel', 'kernel-PAE*', 'kernel*debug*',
+        'dmraid-devel', 'kdeutils-devel', 'mkinitrd-devel',
+        'php-devel', 'java-*', 'bash-devel',
+        'httpd-devel', 'tomcat-native', 'php*', 'httpd',
+        'krb5-server', 'krb5-server-ldap', 'mod_*', 'ghc-*'
+    ],
+}
+
+
+# format: {arch|*: [packages]}
+multilib_whitelist = {
+    '*': ['libgnat', 'wine', 'lmms-vst', 'nspluginwrapper',
+        'libflashsupport', 'valgrind', 'perl-libs', 'redhat-lsb',
+        'yaboot', 'syslinux-extlinux-nonlinux', 'syslinux-nonlinux',
+        'syslinux-tftpboot', 'nosync', '*-static', 'apitrace-libs',
+        'fakeroot-libs', 'postgresql-odbc', 'mysql-connector-odbc',
+        'fakechroot-libs','mesa-vdpau-drivers', 'p11-kit-trust',
+        'mariadb-connector-odbc', 'compiler-rt',
+        'nvidia-query-resource-opengl-lib',
+        'ibus-libs', 'ibus-gtk2', 'ibus-gtk3',
+        'glib-networking'
+    ],
+}
+
+createiso_skip = [
+        ('^Server$', {
+            'src': True
+        }),
+
+        ('^Everything$', {
+            '*': True,
+            'src': True
+        }),
+
+        ('^Modular$', {
+            '*': True,
+            'src': True
+        }),
+    ]
+
+# Image name respecting Fedora's image naming policy
+image_name_format = '%(release_short)s-%(variant)s-%(disc_type)s-%(arch)s-%(version)s-%(date)s%(type_suffix)s.%(respin)s.iso'
+# # Use the same format for volume id
+image_volid_formats = [
+     '%(release_short)s-%(variant)s-%(disc_type)s-%(arch)s-%(version)s'
+     ]
+# No special handling for layered products, use same format as for regular images
+image_volid_layered_product_formats = []
+# Replace 'Cloud' with 'C' in volume id etc.
+volume_id_substitutions = {
+                 'Beta': 'B',
+              'Rawhide': 'rawh',
+        'Astronomy_KDE': 'AstK',
+           'Silverblue': 'SB',
+             'Cinnamon': 'Cinn',
+                'Cloud': 'C',
+           'Comp_Neuro': 'CNr',
+         'Design_suite': 'Dsgn',
+       'Electronic_Lab': 'Elec',
+           'Everything': 'E',
+                'Games': 'Game',
+               'Images': 'img',
+              'Jam_KDE': 'Jam',
+          'MATE_Compiz': 'MATE',
+     # Note https://pagure.io/pungi-fedora/issue/533
+     'Python-Classroom': 'Clss',
+     'Python_Classroom': 'Clss',
+             'Robotics': 'Robo',
+       'Scientific_KDE': 'SciK',
+             'Security': 'Sec',
+               'Server': 'S',
+        '-Workstation-': '-WS-',
+}
+
+disc_types = {
+    'boot': 'netinst',
+    'live': 'Live',
+}
+
+translate_paths = [
+   ('/mnt/koji/compose/', 'https://kojipkgs.fedoraproject.org/compose/'),
+]
+
+# These will be inherited by live_media, live_images and image_build
+global_ksurl = 'git+https://pagure.io/fedora-kickstarts.git?#HEAD'
+global_release = '!RELEASE_FROM_LABEL_DATE_TYPE_RESPIN'
+global_version = 'Rawhide'
+# live_images ignores this in favor of live_target
+global_target = 'f33'
+
+
+
+live_target = 'f33'
+live_images_no_rename = True
+
+
+koji_profile = 'compose_koji'

